Mailinglist Archive: opensuse-updates (114 mails)

< Previous Next >
openSUSE-SU-2014:1426-1: moderate: Security update for openssl
openSUSE Security Update: Security update for openssl
______________________________________________________________________________

Announcement ID: openSUSE-SU-2014:1426-1
Rating: moderate
References:
Cross-References: CVE-2014-3513 CVE-2014-3567 CVE-2014-3568

Affected Products:
openSUSE 13.2
______________________________________________________________________________

An update that fixes three vulnerabilities is now available.

Description:

openSSL was updated to version 1.0.1j to fix four security issues and
various other issues.

These security issues were fixed:
- Fix SRTP Memory Leak (CVE-2014-3513)
- Session Ticket Memory Leak (CVE-2014-3567)
- Add SSL 3.0 Fallback protection TLS_FALLBACK_SCSV (CVE-2014-3566)
- Build option no-ssl3 is incomplete (CVE-2014-3568)


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2014-671

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

libopenssl-devel-1.0.1j-2.4.1
libopenssl1_0_0-1.0.1j-2.4.1
libopenssl1_0_0-debuginfo-1.0.1j-2.4.1
libopenssl1_0_0-hmac-1.0.1j-2.4.1
openssl-1.0.1j-2.4.1
openssl-debuginfo-1.0.1j-2.4.1
openssl-debugsource-1.0.1j-2.4.1

- openSUSE 13.2 (x86_64):

libopenssl-devel-32bit-1.0.1j-2.4.1
libopenssl1_0_0-32bit-1.0.1j-2.4.1
libopenssl1_0_0-debuginfo-32bit-1.0.1j-2.4.1
libopenssl1_0_0-hmac-32bit-1.0.1j-2.4.1

- openSUSE 13.2 (noarch):

openssl-doc-1.0.1j-2.4.1


References:

http://support.novell.com/security/cve/CVE-2014-3513.html
http://support.novell.com/security/cve/CVE-2014-3567.html
http://support.novell.com/security/cve/CVE-2014-3568.html


< Previous Next >
This Thread
  • No further messages